Associative Containers(3)

NAME
Associative Containers -

SYNOPSIS

Detailed Description

Associative containers allow fast retrieval of data based on keys.

Each container type is parameterized on a Key type, and an ordering relation used to sort the elements of the container.

There should be more text here.

All associative containers must meet certain requirements, summarized in tables.

  Classes
class map
A standard container made up of (key,value) pairs, which can be retrieved based on a key, in logarithmic time.
class multimap
A standard container made up of (key,value) pairs, which can be retrieved based on a key, in logarithmic time.
class multiset
A standard container made up of elements, which can be retrieved in logarithmic time.
class set
A standard container made up of unique keys, which can be retrieved in logarithmic time.